Subject: bug#22564: Fundamental mode isn't fundamental enough.

From: Drew Adams <[email-masked]>
Date: Sun, 7 Feb 2016 11:43:06 -0800 (PST)

>> I think fundamental mode existed long before derived modes did.
> 
> Fundamental mode has existed since 1984.  The concept of derived modes
> came at least 10 years after that.  What was always true is that other
> major modes obtain their effects by changing some per-buffer values
> away from the defaults that are in effect in Fundamental mode.
							     
>> To say it shouldn't be used directly by users is a bit strange, IMAO.
> 
> It is meant to be used by users.  Creating a buffer puts it in
> Fundamental mode.  Visiting a file which does not specify any mode,
> through its contents or its name, uses Fundamental mode.
> 
> This has always been the case.

Well, yes, but in the past it was really fundamental.  Now it
does fancy "electric" stuff.  That's not bare-bones.

And now we do have derived modes. Fundamental mode is not
only the default default mode for interactive use, it is also
used non-interactively, where things like electric-this-&-that
make little sense (though they may not interfere in some cases).

IMO, if we don't return it to bare-bones interactivity then
we should move the fancy interactive features to a mode
derived from Fundamental mode and leave Fundamental mode
bare-bones - in particular for non-interactive use.

Whether that derived mode should be the new default default
mode is another question.  I don't have a problem if it is,
though that wouldn't be my first choice (I would prefer
bare-bones interactive behavior too.)

IOW, I wouldn't object if the default for interactive use
is electric, but I don't think it's a good idea for fancy
stuff to be added to the "bottom" of the pyramid
(Fundamental mode), which is used also non-interactively.